Bug 553055 - Review Request: gpxe - Open Source network bootloader
Review Request: gpxe - Open Source network bootloader
Status: CLOSED DUPLICATE of bug 492181
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-06 18:20 EST by Jeroen van Meeuwen
Modified: 2012-03-19 16:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 16:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
itamar: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2010-01-06 18:20:49 EST
Spec URL: http://www.kanarip.com/custom/SPECS/gpxe.spec
SRPM URL: http://www.kanarip.com/custom/f12/SRPMS/gpxe-0.9.9-2.src.rpm
Description: gPXE is an open source (GPL) network bootloader. It provides
a direct replacement for proprietary PXE ROMs, with many
extra features such as DNS, HTTP, iSCSI, etc.
Comment 1 Jeroen van Meeuwen 2010-01-06 18:23:40 EST
Special attention to the -devel subpackage being required (indirectly to make rpmlint stfu), while this subpackage is the actual option value to end-users.

The base package would ship a default Fedora configuration with binary files, and a script to build your own (requiring the -devel subpackage).
Comment 2 Terje Røsten 2010-01-07 06:23:15 EST
I am a bit confused about this package, the only file I need from
gpxe - bin/undionly.kpxe - is not included at all.

As you said default config is Fedora specific, would it make sense to
call the package including that config gpxe-fedora instead?

I feel a better description text and addition of a README.fedora explaining
stuff is needed.
Comment 3 Itamar Reis Peixoto 2010-01-07 10:17:48 EST
http://koji.fedoraproject.org/koji/packageinfo?packageID=8390
Comment 4 Itamar Reis Peixoto 2010-01-07 10:32:55 EST
already packaged for fedora, can I close this bug ?
Comment 5 Terje Røsten 2010-01-07 11:21:27 EST
Add this package as an gpxe-fedora subpackage in gpxe proper?

BTW: what is the purpose of the fedora specific files?
Comment 6 Jeroen van Meeuwen 2010-01-08 11:14:50 EST
(In reply to comment #2)
> I am a bit confused about this package, the only file I need from
> gpxe - bin/undionly.kpxe - is not included at all.
> 

I'm sorry, I wasn't aware that file was actually valuable.

> As you said default config is Fedora specific, would it make sense to
> call the package including that config gpxe-fedora instead?
> 

In that case, the gpxe package itself would basically be empty. I'm not objecting, but it would mean that for the gpxe package itself to be any good it would maybe also need to require the -fedora sub-package?

> I feel a better description text and addition of a README.fedora explaining
> stuff is needed.  

Sure, any suggestions?
Comment 7 Jeroen van Meeuwen 2010-01-08 11:18:04 EST
(In reply to comment #4)
> already packaged for fedora, can I close this bug ?  

(In reply to comment #5)
> Add this package as an gpxe-fedora subpackage in gpxe proper?
> 
> BTW: what is the purpose of the fedora specific files?  

Fedora Infrastructure is attempting to provide a Fedora composed gPXE version to be included in the normal releases, making use of the HTTP boot capabilities. I realize now that a more appropriate name for this package would be gpxe-fedora, and I'll update the package / review request
Comment 8 Itamar Reis Peixoto 2010-01-08 11:22:42 EST
(In reply to comment #7)


ok, like boot.kernel.org


I will review it.
Comment 9 Susi Lehtola 2010-01-09 12:23:41 EST
What's the idea for shipping the source in -devel...?
Comment 10 Jeroen van Meeuwen 2010-01-09 14:00:05 EST
In order for a user to be able to create his/her own derivative gpxe.iso and friends
Comment 11 Susi Lehtola 2010-01-09 14:08:12 EST
(In reply to comment #10)
> In order for a user to be able to create his/her own derivative gpxe.iso and
> friends    

And why couldn't s/he just grab the srpm for this purpose?
Comment 12 Jeroen van Meeuwen 2010-01-09 21:10:30 EST
(In reply to comment #11)
> (In reply to comment #10)
> > In order for a user to be able to create his/her own derivative gpxe.iso and
> > friends    
> 
> And why couldn't s/he just grab the srpm for this purpose?    

Think in the area of compose tools like pungi, revisor, livecd-tools
Comment 13 Terje Røsten 2011-02-08 15:39:57 EST
Hi Jeroen,
what is status here now? Do you still want this included?
Comment 14 Susi Lehtola 2011-12-16 05:14:33 EST
Ping again Jeroen.
Comment 15 Daniel Berrange 2012-03-19 16:56:58 EDT
Dunno why this was left open for so long - 'gpxe' has existed in Fedora repos since before this BZ was even filed. See review bug 492181.

Further gpxe is dead upstream and replaced by ipxe, for which review bug 804826 is open.

*** This bug has been marked as a duplicate of bug 492181 ***

Note You need to log in before you can comment on or make changes to this bug.